#ifndef stack_h
#define stack_h

#include "context.h"

typedef struct ContextStack ContextStack;

struct ContextStack {
    ContextStack *next;
    Context x;
};

extern ContextStack *bottom;

extern void ContextStack_init(void);
extern ContextStack *ContextStack_push(ContextStack *top, TagTypes tag);
extern ContextStack *ContextStack_gc(ContextStack *top);

#endif
